Bug 1003843 - [abrt] audacity-2.0.3-1.fc19: gtk_text_layout_get_line_display: Process /usr/bin/audacity was killed by signal 5 (SIGTRAP)
[abrt] audacity-2.0.3-1.fc19: gtk_text_layout_get_line_display: Process /usr/...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: audacity (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Manuel F Martinez
Fedora Extras Quality Assurance
abrt_hash:d34facf35b059b54a272637ecb3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-03 06:45 EDT by fedora
Modified: 2013-10-14 13:16 EDT (History)
2 users (show)

See Also:
Fixed In Version: audacity-2.0.4-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-28 21:26:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (43.20 KB, text/plain)
2013-09-03 06:46 EDT, fedora
no flags Details
File: cgroup (140 bytes, text/plain)
2013-09-03 06:46 EDT, fedora
no flags Details
File: core_backtrace (19.36 KB, text/plain)
2013-09-03 06:46 EDT, fedora
no flags Details
File: dso_list (15.64 KB, text/plain)
2013-09-03 06:46 EDT, fedora
no flags Details
File: environ (1.59 KB, text/plain)
2013-09-03 06:46 EDT, fedora
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-03 06:46 EDT, fedora
no flags Details
File: maps (78.62 KB, text/plain)
2013-09-03 06:46 EDT, fedora
no flags Details
File: open_fds (1.37 KB, text/plain)
2013-09-03 06:46 EDT, fedora
no flags Details
File: proc_pid_status (942 bytes, text/plain)
2013-09-03 06:46 EDT, fedora
no flags Details
File: var_log_messages (331 bytes, text/plain)
2013-09-03 06:46 EDT, fedora
no flags Details

  None (edit)
Description fedora 2013-09-03 06:45:58 EDT
Description of problem:
I don't know. I was recording via a USB PnP Audio device and the program just vanished.

Version-Release number of selected component:
audacity-2.0.3-1.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        audacity
crash_function: gtk_text_layout_get_line_display
executable:     /usr/bin/audacity
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 gtk_text_layout_get_line_display at gtktextlayout.c:2417
 #3 gtk_text_layout_real_wrap at gtktextlayout.c:1167
 #4 _gtk_text_btree_validate_line at gtktextbtree.c:5426
 #5 gtk_text_layout_validate_yrange at gtktextlayout.c:1082
 #6 gtk_text_view_validate_onscreen at gtktextview.c:3554
 #7 gtk_text_view_flush_first_validate at gtktextview.c:3610
 #8 first_validate_callback at gtktextview.c:3629
 #14 gtk_main at gtkmain.c:1257
 #15 wxEventLoop::Run at src/gtk/evtloop.cpp:76
 #16 wxAppBase::MainLoop at src/common/appcmn.cpp:312
Comment 1 fedora 2013-09-03 06:46:02 EDT
Created attachment 793112 [details]
File: backtrace
Comment 2 fedora 2013-09-03 06:46:05 EDT
Created attachment 793113 [details]
File: cgroup
Comment 3 fedora 2013-09-03 06:46:11 EDT
Created attachment 793114 [details]
File: core_backtrace
Comment 4 fedora 2013-09-03 06:46:14 EDT
Created attachment 793115 [details]
File: dso_list
Comment 5 fedora 2013-09-03 06:46:17 EDT
Created attachment 793116 [details]
File: environ
Comment 6 fedora 2013-09-03 06:46:20 EDT
Created attachment 793117 [details]
File: limits
Comment 7 fedora 2013-09-03 06:46:23 EDT
Created attachment 793118 [details]
File: maps
Comment 8 fedora 2013-09-03 06:46:27 EDT
Created attachment 793119 [details]
File: open_fds
Comment 9 fedora 2013-09-03 06:46:30 EDT
Created attachment 793120 [details]
File: proc_pid_status
Comment 10 fedora 2013-09-03 06:46:33 EDT
Created attachment 793121 [details]
File: var_log_messages
Comment 11 Fedora Update System 2013-09-22 17:19:47 EDT
audacity-2.0.4-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/audacity-2.0.4-2.fc20
Comment 12 Fedora Update System 2013-09-22 17:20:23 EDT
audacity-2.0.4-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/audacity-2.0.4-2.fc19
Comment 13 Fedora Update System 2013-09-22 17:20:59 EDT
audacity-2.0.4-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/audacity-2.0.4-2.fc18
Comment 14 Fedora Update System 2013-09-23 20:27:21 EDT
Package audacity-2.0.4-2.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing audacity-2.0.4-2.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17453/audacity-2.0.4-2.fc20
then log in and leave karma (feedback).
Comment 15 Fedora Update System 2013-09-28 21:26:47 EDT
audacity-2.0.4-2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2013-10-14 03:09:59 EDT
audacity-2.0.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-10-14 13:16:12 EDT
audacity-2.0.4-2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.